Module org.hdfgroup.hdfview
Package hdf.view.MetaDataView

# Class DefaultBaseMetaDataView

Object
hdf.view.MetaDataView.DefaultBaseMetaDataView

All Implemented Interfaces:
  `DataView`, `MetaDataView`

Direct Known Subclasses:
  `DefaultLinkMetaDataView`

public abstract class DefaultBaseMetaDataView extends Object implements MetaDataView
DefaultBaseMetaDataView is a default implementation of the MetaDataView which is used to show data properties of an object. Data properties include attributes and general object information such as the object type, data type and data space. This base class is responsible for displaying an object's general information and attributes, since these are not object-specific. Subclasses of this class are responsible for displaying any extra object-specific content by overriding the addObjectSpecificContent() method.

Version:
  1.0 4/20/2018
Author:
  Jordan T. Henderson

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.eclipse.swt.widgets.Composite`
  `attributeInfoPane`
  `protected org.eclipse.swt.widgets.TabFolder`
  `contentTabFolder`
  `protected org.eclipse.swt.graphics.Font`
  `curFont`
  `protected HObject`
  `dataObject`
  The HDF data object
  `protected org.eclipse.swt.widgets.Display`
  `display`
  `protected org.eclipse.swt.widgets.Composite`
  `generalObjectInfoPane`
  `protected boolean`
  `isH4`
  `protected boolean`
  `isH5`
  `protected boolean`
  `isN3`
  `protected DataViewManager`
  `viewManager`

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultBaseMetaDataView​(org.eclipse.swt.widgets.Composite parentComposite, DataViewManager viewer, HObject theObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attribute`
  `addAttribute​(HObject obj)`
  Add an attribute to a data object.
  `protected abstract void`
  `addObjectSpecificContent()`
  `Attribute`
  `deleteAttribute​(HObject obj)`
  Delete an attribute from a data object.
  `HObject`
  `getDataObject()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### display

    protected final org.eclipse.swt.widgets.Display display

  - ### viewManager

    protected final DataViewManager viewManager

  - ### contentTabFolder

    protected final org.eclipse.swt.widgets.TabFolder contentTabFolder

  - ### attributeInfoPane

    protected final org.eclipse.swt.widgets.Composite attributeInfoPane

  - ### generalObjectInfoPane

    protected final org.eclipse.swt.widgets.Composite generalObjectInfoPane

  - ### curFont

    protected org.eclipse.swt.graphics.Font curFont

  - ### dataObject

    protected HObject dataObject
    The HDF data object

  - ### isH5

    protected boolean isH5

  - ### isH4

    protected boolean isH4

  - ### isN3

    protected boolean isN3

- ## Constructor Details

  - ### DefaultBaseMetaDataView

    public DefaultBaseMetaDataView​(org.eclipse.swt.widgets.Composite parentComposite, DataViewManager viewer, HObject theObj)

- ## Method Details

  - ### addObjectSpecificContent

    protected abstract void addObjectSpecificContent()

  - ### getDataObject

    public HObject getDataObject()
    Specified by:
      `getDataObject` in interface `DataView`
    Returns:
      the data object displayed in this data viewer

  - ### addAttribute

    public Attribute addAttribute​(HObject obj)
    Description copied from interface: `MetaDataView`
    Add an attribute to a data object.
    Specified by:
      `addAttribute` in interface `MetaDataView`
    Parameters:
      `obj` - the attribute to add
    Returns:
      the Attribute object

  - ### deleteAttribute

    public Attribute deleteAttribute​(HObject obj)
    Description copied from interface: `MetaDataView`
    Delete an attribute from a data object.
    Specified by:
      `deleteAttribute` in interface `MetaDataView`
    Parameters:
      `obj` - the attribute to delte
    Returns:
      the Attribute object